#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include <vector>
#include "histogram_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    bool a;
    find_minmax({1, 2}, min, max,a);
    CHECK(min == 1);
    CHECK(max == 2);
}
TEST_CASE("distinct negative numbers") {
    double min = 0;
    double max = 0;
    bool a;
    find_minmax({-1, -2}, min, max,a);
    CHECK(min == -2);
    CHECK(max == -1);
}
TEST_CASE("one array") {
    double min = 0;
    double max = 0;
    bool a;
    const std::vector <double> numbers={1};
    find_minmax(numbers, min, max,a);
    CHECK(min == 1);
    CHECK(max == 1);
}
TEST_CASE("= array") {
    double min = 0;
    double max = 0;
    bool a;
    const std::vector <double> numbers={1,1,1,1};
    find_minmax(numbers, min, max,a);
    CHECK(min == 1);
    CHECK(max == 1);
}
TEST_CASE("empty array") {
    double min = 0;
    double max = 0;
    bool a;
    find_minmax({}, min, max,a);
    CHECK(a==1);
    CHECK(min == 0);
    CHECK(max == 0);
}
